<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::Ip6::Header Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d6e/classThread_1_1Ip6_1_1Header.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="../../d9/d17/classThread_1_1Ip6_1_1Header-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::Ip6::Header Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../d2/df2/group__core-ipv6.html">IPv6</a> &raquo; <a class="el" href="../../d9/dcf/group__core-ip6-ip6.html">IPv6</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements IPv6 header generation and parsing.  
 <a href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">src/core/net/ip6_headers.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::Ip6::Header:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d12/classThread_1_1Ip6_1_1Header__inherit__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1Header_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1Ip6_1_1Header_inherit__map" id="Thread_1_1Ip6_1_1Header_inherit__map">
<area shape="rect" id="node2" href="../../de/db9/structThread_1_1Ip6_1_1HeaderPoD.html" title="This structure represents an IPv6 header. " alt="" coords="5,5,172,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::Ip6::Header:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d69/classThread_1_1Ip6_1_1Header__coll__graph.png" border="0" usemap="#Thread_1_1Ip6_1_1Header_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1Ip6_1_1Header_coll__map" id="Thread_1_1Ip6_1_1Header_coll__map">
<area shape="rect" id="node2" href="../../de/db9/structThread_1_1Ip6_1_1HeaderPoD.html" title="This structure represents an IPv6 header. " alt="" coords="5,105,172,131"/>
<area shape="rect" id="node3" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="39,5,139,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae759dab83ad87de26f3e5661d4331a54"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae759dab83ad87de26f3e5661d4331a54"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#ae759dab83ad87de26f3e5661d4331a54">Init</a> ()</td></tr>
<tr class="memdesc:ae759dab83ad87de26f3e5661d4331a54"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the IPv6 header. <br /></td></tr>
<tr class="separator:ae759dab83ad87de26f3e5661d4331a54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f8dbaae0bae57c77defb98536c1adbe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a3f8dbaae0bae57c77defb98536c1adbe">IsVersion6</a> () const </td></tr>
<tr class="memdesc:a3f8dbaae0bae57c77defb98536c1adbe"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the IPv6 Version is set to 6.  <a href="#a3f8dbaae0bae57c77defb98536c1adbe">More...</a><br /></td></tr>
<tr class="separator:a3f8dbaae0bae57c77defb98536c1adbe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab081c2f814f0aad90e5b0e01c25706c1"><td class="memItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#ab081c2f814f0aad90e5b0e01c25706c1">GetPayloadLength</a> ()</td></tr>
<tr class="memdesc:ab081c2f814f0aad90e5b0e01c25706c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Payload Length value.  <a href="#ab081c2f814f0aad90e5b0e01c25706c1">More...</a><br /></td></tr>
<tr class="separator:ab081c2f814f0aad90e5b0e01c25706c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec92bb6790fffab9ddb424d85a1e39b3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#aec92bb6790fffab9ddb424d85a1e39b3">SetPayloadLength</a> (uint16_t aLength)</td></tr>
<tr class="memdesc:aec92bb6790fffab9ddb424d85a1e39b3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Payload Length value.  <a href="#aec92bb6790fffab9ddb424d85a1e39b3">More...</a><br /></td></tr>
<tr class="separator:aec92bb6790fffab9ddb424d85a1e39b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7717de6245b76cb29e09ce439ff15276"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a7717de6245b76cb29e09ce439ff15276">GetNextHeader</a> () const </td></tr>
<tr class="memdesc:a7717de6245b76cb29e09ce439ff15276"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value.  <a href="#a7717de6245b76cb29e09ce439ff15276">More...</a><br /></td></tr>
<tr class="separator:a7717de6245b76cb29e09ce439ff15276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc6dbaaca33c8996ce396195cb6f8978"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#afc6dbaaca33c8996ce396195cb6f8978">SetNextHeader</a> (<a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a> aNextHeader)</td></tr>
<tr class="memdesc:afc6dbaaca33c8996ce396195cb6f8978"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value.  <a href="#afc6dbaaca33c8996ce396195cb6f8978">More...</a><br /></td></tr>
<tr class="separator:afc6dbaaca33c8996ce396195cb6f8978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3887b14d3f0c9943a645ddede9ef0eb8"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a3887b14d3f0c9943a645ddede9ef0eb8">GetHopLimit</a> () const </td></tr>
<tr class="memdesc:a3887b14d3f0c9943a645ddede9ef0eb8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Hop Limit value.  <a href="#a3887b14d3f0c9943a645ddede9ef0eb8">More...</a><br /></td></tr>
<tr class="separator:a3887b14d3f0c9943a645ddede9ef0eb8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60add06692d13d0b9ff26d1d1459cafa"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a60add06692d13d0b9ff26d1d1459cafa">SetHopLimit</a> (uint8_t aHopLimit)</td></tr>
<tr class="memdesc:a60add06692d13d0b9ff26d1d1459cafa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Hop Limit value.  <a href="#a60add06692d13d0b9ff26d1d1459cafa">More...</a><br /></td></tr>
<tr class="separator:a60add06692d13d0b9ff26d1d1459cafa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cc72334ebe32da12f67b0389b9bae21"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a6cc72334ebe32da12f67b0389b9bae21">GetSource</a> ()</td></tr>
<tr class="memdesc:a6cc72334ebe32da12f67b0389b9bae21"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Source address.  <a href="#a6cc72334ebe32da12f67b0389b9bae21">More...</a><br /></td></tr>
<tr class="separator:a6cc72334ebe32da12f67b0389b9bae21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73e5209e71173a59f2295cbbc905e296"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a73e5209e71173a59f2295cbbc905e296">SetSource</a> (const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;aSource)</td></tr>
<tr class="memdesc:a73e5209e71173a59f2295cbbc905e296"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Source address.  <a href="#a73e5209e71173a59f2295cbbc905e296">More...</a><br /></td></tr>
<tr class="separator:a73e5209e71173a59f2295cbbc905e296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b065a50a342b00d2d8907b2fb3a66a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a24b065a50a342b00d2d8907b2fb3a66a">GetDestination</a> ()</td></tr>
<tr class="memdesc:a24b065a50a342b00d2d8907b2fb3a66a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the IPv6 Destination address.  <a href="#a24b065a50a342b00d2d8907b2fb3a66a">More...</a><br /></td></tr>
<tr class="separator:a24b065a50a342b00d2d8907b2fb3a66a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab519252dba4f3843a511aec35a8a0756"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#ab519252dba4f3843a511aec35a8a0756">SetDestination</a> (const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;aDestination)</td></tr>
<tr class="memdesc:ab519252dba4f3843a511aec35a8a0756"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the IPv6 Destination address.  <a href="#ab519252dba4f3843a511aec35a8a0756">More...</a><br /></td></tr>
<tr class="separator:ab519252dba4f3843a511aec35a8a0756"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a736fad63638c7190f6425bfa93db9310"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a736fad63638c7190f6425bfa93db9310">GetPayloadLengthOffset</a> ()</td></tr>
<tr class="memdesc:a736fad63638c7190f6425bfa93db9310"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the byte offset of the IPv6 Payload Length field.  <a href="#a736fad63638c7190f6425bfa93db9310">More...</a><br /></td></tr>
<tr class="separator:a736fad63638c7190f6425bfa93db9310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41501290880a55bd683395b81b4b24f4"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a41501290880a55bd683395b81b4b24f4">GetHopLimitOffset</a> ()</td></tr>
<tr class="memdesc:a41501290880a55bd683395b81b4b24f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the byte offset of the IPv6 Hop Limit field.  <a href="#a41501290880a55bd683395b81b4b24f4">More...</a><br /></td></tr>
<tr class="separator:a41501290880a55bd683395b81b4b24f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f8657aedcd0f9e8a6c5378b88e817ed"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a2f8657aedcd0f9e8a6c5378b88e817ed">GetHopLimitSize</a> ()</td></tr>
<tr class="memdesc:a2f8657aedcd0f9e8a6c5378b88e817ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the size of the IPv6 Hop Limit field.  <a href="#a2f8657aedcd0f9e8a6c5378b88e817ed">More...</a><br /></td></tr>
<tr class="separator:a2f8657aedcd0f9e8a6c5378b88e817ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe22ed494dec21f3e3bbc71cb4e9ef2"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html#a4fe22ed494dec21f3e3bbc71cb4e9ef2">GetDestinationOffset</a> ()</td></tr>
<tr class="memdesc:a4fe22ed494dec21f3e3bbc71cb4e9ef2"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method returns the byte offset of the IPv6 Destination field.  <a href="#a4fe22ed494dec21f3e3bbc71cb4e9ef2">More...</a><br /></td></tr>
<tr class="separator:a4fe22ed494dec21f3e3bbc71cb4e9ef2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements IPv6 header generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a24b065a50a342b00d2d8907b2fb3a66a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a>&amp; Thread::Ip6::Header::GetDestination </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Destination address. </p>
<dl class="section return"><dt>Returns</dt><dd>A reference to the IPv6 Destination address. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a24b065a50a342b00d2d8907b2fb3a66a_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a24b065a50a342b00d2d8907b2fb3a66a_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a24b065a50a342b00d2d8907b2fb3a66a_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a24b065a50a342b00d2d8907b2fb3a66a_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,266,620,291"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,433,1173,458"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1230,426,1391,465"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1451,530,1615,569"/>
<area shape="rect" id="node17" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,94,359,133"/>
<area shape="rect" id="node21" href="../../d2/df2/group__core-ipv6.html#gae28a5d11156eb8eca60f8145a52d335a" title="This method indicates whether or not the IPv6 datagram passes the filter. " alt="" coords="213,9,340,47"/>
<area shape="rect" id="node22" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="968,587,1140,626"/>
<area shape="rect" id="node23" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="427,643,599,682"/>
<area shape="rect" id="node24" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1221,145,1399,183"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1908,202,2041,241"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,371,844,410"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,259,844,298"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,322,886,347"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2334,177,2490,215"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1667,145,1836,183"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1669,618,1834,657"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1681,530,1822,569"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1884,151,2065,177"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2113,95,2286,134"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2158,158,2242,183"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,101,584,126"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,94,873,133"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,94,1151,133"/>
<area shape="rect" id="node25" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1447,145,1619,183"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4fe22ed494dec21f3e3bbc71cb4e9ef2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Ip6::Header::GetDestinationOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the byte offset of the IPv6 Destination field. </p>
<dl class="section return"><dt>Returns</dt><dd>The byte offset of the IPv6 Destination field. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a4fe22ed494dec21f3e3bbc71cb4e9ef2_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a4fe22ed494dec21f3e3bbc71cb4e9ef2_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a4fe22ed494dec21f3e3bbc71cb4e9ef2_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a4fe22ed494dec21f3e3bbc71cb4e9ef2_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a7668817d03306dadcb36ff9eaad72299" title="This method is called by the address resolver when an EID&#45;to&#45;RLOC mapping has been resolved..." alt="" coords="206,39,370,77"/>
<area shape="rect" id="node4" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="638,68,803,107"/>
<area shape="rect" id="node3" href="../../d4/dcf/classThread_1_1AddressResolver.html#ac249179518a77ecfdaf7d4502ef2f940" title="This method returns the RLOC16 for a given EID, or initiates an Address Query if the mapping is not k..." alt="" coords="418,39,590,77"/>
<area shape="rect" id="node5" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="853,5,1018,44"/>
<area shape="rect" id="node6" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="851,68,1020,107"/>
<area shape="rect" id="node11" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="865,131,1006,169"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1068,75,1249,100"/>
<area shape="rect" id="node8" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1297,40,1470,79"/>
<area shape="rect" id="node9" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1341,103,1426,128"/>
<area shape="rect" id="node10" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="1518,96,1674,135"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3887b14d3f0c9943a645ddede9ef0eb8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t Thread::Ip6::Header::GetHopLimit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Hop Limit value. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 Hop Limit value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a3887b14d3f0c9943a645ddede9ef0eb8_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a3887b14d3f0c9943a645ddede9ef0eb8_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a3887b14d3f0c9943a645ddede9ef0eb8_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a3887b14d3f0c9943a645ddede9ef0eb8_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,93,359,132"/>
<area shape="rect" id="node21" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="1431,340,1603,379"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,160,620,185"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1651,163,1820,201"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,16,584,41"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1235,283,1369,321"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,183,844,221"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,120,844,159"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,245,886,271"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2318,225,2473,264"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,172,1173,197"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1221,184,1383,223"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1434,224,1599,263"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1653,340,1817,379"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1665,225,1806,264"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1868,173,2049,199"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2097,223,2270,261"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2141,173,2226,199"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,5,873,44"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,5,1151,44"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a41501290880a55bd683395b81b4b24f4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Ip6::Header::GetHopLimitOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the byte offset of the IPv6 Hop Limit field. </p>
<dl class="section return"><dt>Returns</dt><dd>The byte offset of the IPv6 Hop Limit field. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a41501290880a55bd683395b81b4b24f4_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a41501290880a55bd683395b81b4b24f4_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a41501290880a55bd683395b81b4b24f4_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a41501290880a55bd683395b81b4b24f4_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,233,359,271"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,133,620,158"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1643,189,1813,227"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,293,584,318"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1235,6,1369,45"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,63,844,102"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,126,844,165"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,189,886,214"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2311,81,2466,119"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,71,1173,97"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1221,123,1383,162"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1431,125,1595,163"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1646,63,1810,102"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1658,126,1798,165"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1861,161,2041,186"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2089,98,2263,137"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2134,161,2218,186"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,290,873,329"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,290,1151,329"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a2f8657aedcd0f9e8a6c5378b88e817ed"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Ip6::Header::GetHopLimitSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the size of the IPv6 Hop Limit field. </p>
<dl class="section return"><dt>Returns</dt><dd>The size of the IPv6 Hop Limit field. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a2f8657aedcd0f9e8a6c5378b88e817ed_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a2f8657aedcd0f9e8a6c5378b88e817ed_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a2f8657aedcd0f9e8a6c5378b88e817ed_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a2f8657aedcd0f9e8a6c5378b88e817ed_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,233,359,271"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,133,620,158"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1643,189,1813,227"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,293,584,318"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1235,6,1369,45"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,63,844,102"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,126,844,165"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,189,886,214"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2311,81,2466,119"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,71,1173,97"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1221,123,1383,162"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1431,125,1595,163"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1646,63,1810,102"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1658,126,1798,165"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1861,161,2041,186"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2089,98,2263,137"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2134,161,2218,186"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,290,873,329"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,290,1151,329"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7717de6245b76cb29e09ce439ff15276"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a> Thread::Ip6::Header::GetNextHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a7717de6245b76cb29e09ce439ff15276_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a7717de6245b76cb29e09ce439ff15276_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a7717de6245b76cb29e09ce439ff15276_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a7717de6245b76cb29e09ce439ff15276_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,103,359,142"/>
<area shape="rect" id="node21" href="../../d2/df2/group__core-ipv6.html#gae28a5d11156eb8eca60f8145a52d335a" title="This method indicates whether or not the IPv6 datagram passes the filter. " alt="" coords="213,365,340,403"/>
<area shape="rect" id="node22" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="1431,482,1603,521"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,151,620,177"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1651,315,1820,354"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,85,584,110"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1235,213,1369,251"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,270,844,309"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,106,844,145"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,169,886,194"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2318,238,2473,277"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,321,1173,346"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1221,307,1383,346"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1434,419,1599,458"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1653,482,1817,521"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1665,419,1806,458"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1868,322,2049,347"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2097,319,2270,358"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2141,270,2226,295"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,43,873,82"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,43,1151,82"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab081c2f814f0aad90e5b0e01c25706c1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t Thread::Ip6::Header::GetPayloadLength </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Payload Length value. </p>
<dl class="section return"><dt>Returns</dt><dd>The IPv6 Payload Length value. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_ab081c2f814f0aad90e5b0e01c25706c1_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_ab081c2f814f0aad90e5b0e01c25706c1_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_ab081c2f814f0aad90e5b0e01c25706c1_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_ab081c2f814f0aad90e5b0e01c25706c1_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,233,359,271"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,133,620,158"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1643,189,1813,227"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,293,584,318"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1235,6,1369,45"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,63,844,102"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,126,844,165"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,189,886,214"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2311,81,2466,119"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,71,1173,97"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1221,123,1383,162"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1431,125,1595,163"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1646,63,1810,102"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1658,126,1798,165"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1861,161,2041,186"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2089,98,2263,137"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2134,161,2218,186"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,290,873,329"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,290,1151,329"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a736fad63638c7190f6425bfa93db9310"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static uint8_t Thread::Ip6::Header::GetPayloadLengthOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This static method returns the byte offset of the IPv6 Payload Length field. </p>
<dl class="section return"><dt>Returns</dt><dd>The byte offset of the IPv6 Payload Length field. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a736fad63638c7190f6425bfa93db9310_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a736fad63638c7190f6425bfa93db9310_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a736fad63638c7190f6425bfa93db9310_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a736fad63638c7190f6425bfa93db9310_icgraph">
<area shape="rect" id="node2" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="228,33,397,72"/>
<area shape="rect" id="node3" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="445,40,626,65"/>
<area shape="rect" id="node4" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="674,5,847,44"/>
<area shape="rect" id="node5" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="718,68,803,93"/>
<area shape="rect" id="node6" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="895,61,1051,100"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6cc72334ebe32da12f67b0389b9bae21"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a>&amp; Thread::Ip6::Header::GetSource </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method returns the IPv6 Source address. </p>
<dl class="section return"><dt>Returns</dt><dd>A reference to the IPv6 Source address. </dd></dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a6cc72334ebe32da12f67b0389b9bae21_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a6cc72334ebe32da12f67b0389b9bae21_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a6cc72334ebe32da12f67b0389b9bae21_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a6cc72334ebe32da12f67b0389b9bae21_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8a27760878c9ad9932e3f59bc651c826" title="This method sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams..." alt="" coords="194,84,385,123"/>
<area shape="rect" id="node6" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="433,233,646,259"/>
<area shape="rect" id="node12" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1477,228,1641,267"/>
<area shape="rect" id="node21" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="207,169,372,208"/>
<area shape="rect" id="node23" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a96cd83be02e4d74593f98a86ee1a477c" title="This method compresses an IPv6 header. " alt="" coords="994,456,1166,495"/>
<area shape="rect" id="node24" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1247,5,1425,44"/>
<area shape="rect" id="node3" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra..." alt="" coords="436,63,643,101"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="707,63,899,101"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="982,63,1177,101"/>
<area shape="rect" id="node7" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1934,251,2067,289"/>
<area shape="rect" id="node9" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="736,227,869,265"/>
<area shape="rect" id="node19" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="736,341,869,380"/>
<area shape="rect" id="node20" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="694,177,912,203"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2360,173,2516,212"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="960,185,1199,211"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1255,201,1417,240"/>
<area shape="rect" id="node14" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1693,103,1862,141"/>
<area shape="rect" id="node13" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1695,228,1860,267"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1707,165,1848,204"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1910,119,2091,144"/>
<area shape="rect" id="node16" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2139,168,2312,207"/>
<area shape="rect" id="node17" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2183,119,2268,144"/>
<area shape="rect" id="node22" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="469,125,610,151"/>
<area shape="rect" id="node25" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1473,63,1645,101"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a3f8dbaae0bae57c77defb98536c1adbe"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::Ip6::Header::IsVersion6 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the IPv6 Version is set to 6. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the IPv6 Version is set to 6. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the IPv6 Version is not set to 6. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a3f8dbaae0bae57c77defb98536c1adbe_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a3f8dbaae0bae57c77defb98536c1adbe_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a3f8dbaae0bae57c77defb98536c1adbe_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a3f8dbaae0bae57c77defb98536c1adbe_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,233,359,271"/>
<area shape="rect" id="node3" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,133,620,158"/>
<area shape="rect" id="node11" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1643,189,1813,227"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,293,584,318"/>
<area shape="rect" id="node4" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1235,6,1369,45"/>
<area shape="rect" id="node6" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,63,844,102"/>
<area shape="rect" id="node16" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,126,844,165"/>
<area shape="rect" id="node17" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,189,886,214"/>
<area shape="rect" id="node5" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2311,81,2466,119"/>
<area shape="rect" id="node7" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,71,1173,97"/>
<area shape="rect" id="node8" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1221,123,1383,162"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1431,125,1595,163"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1646,63,1810,102"/>
<area shape="rect" id="node15" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1658,126,1798,165"/>
<area shape="rect" id="node12" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1861,161,2041,186"/>
<area shape="rect" id="node13" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2089,98,2263,137"/>
<area shape="rect" id="node14" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2134,161,2218,186"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,290,873,329"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,290,1151,329"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab519252dba4f3843a511aec35a8a0756"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::Header::SetDestination </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aDestination</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Destination address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aDestination</td><td>A reference to the IPv6 Destination address. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_ab519252dba4f3843a511aec35a8a0756_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_ab519252dba4f3843a511aec35a8a0756_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_ab519252dba4f3843a511aec35a8a0756_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_ab519252dba4f3843a511aec35a8a0756_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="194,140,407,165"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="774,5,907,44"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="497,71,630,109"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="497,133,630,172"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="455,196,673,221"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2097,76,2253,115"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="721,77,960,103"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1008,121,1170,160"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1218,121,1382,160"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1430,184,1599,223"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1433,59,1597,97"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1444,121,1585,160"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1647,156,1828,181"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1876,93,2049,132"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1921,156,2005,181"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a60add06692d13d0b9ff26d1d1459cafa"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::Header::SetHopLimit </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aHopLimit</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Hop Limit value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aHopLimit</td><td>The IPv6 Hop Limit value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a60add06692d13d0b9ff26d1d1459cafa_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a60add06692d13d0b9ff26d1d1459cafa_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a60add06692d13d0b9ff26d1d1459cafa_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a60add06692d13d0b9ff26d1d1459cafa_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="407,124,620,149"/>
<area shape="rect" id="node17" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#aac26950e3836c09b286ec241ced9d2c6" title="This method processes a received IPv6 datagram. " alt="" coords="194,224,359,263"/>
<area shape="rect" id="node21" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1221,332,1399,371"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1908,5,2041,44"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="710,55,844,93"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="710,117,844,156"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="668,180,886,205"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2334,97,2490,136"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="934,61,1173,87"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1230,113,1391,152"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1451,115,1615,153"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1667,217,1836,256"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1669,76,1834,115"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1681,139,1822,177"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1884,168,2065,193"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="2113,105,2286,144"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="2158,168,2242,193"/>
<area shape="rect" id="node18" href="../../db/de8/group__ip6.html#gaeebc9cdd23401b7abbd7c7610a1eef07" title="This function sends an IPv6 datagram via the Thread interface. " alt="" coords="443,285,584,311"/>
<area shape="rect" id="node19" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="681,281,873,320"/>
<area shape="rect" id="node20" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="956,281,1151,320"/>
<area shape="rect" id="node22" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1447,332,1619,371"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="afc6dbaaca33c8996ce396195cb6f8978"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::Header::SetNextHeader </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/dcf/group__core-ip6-ip6.html#ga83d94b02a618038e1534f9e12001d095">IpProto</a>&#160;</td>
          <td class="paramname"><em>aNextHeader</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aNextHeader</td><td>The IPv6 Next <a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html" title="This class implements IPv6 header generation and parsing. ">Header</a> value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_afc6dbaaca33c8996ce396195cb6f8978_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_afc6dbaaca33c8996ce396195cb6f8978_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_afc6dbaaca33c8996ce396195cb6f8978_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_afc6dbaaca33c8996ce396195cb6f8978_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8a27760878c9ad9932e3f59bc651c826" title="This method sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams..." alt="" coords="205,67,396,105"/>
<area shape="rect" id="node6" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="194,189,407,215"/>
<area shape="rect" id="node21" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#aedb6b9f843ff1752d37fab8565fd27bf" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1017,289,1194,328"/>
<area shape="rect" id="node3" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra..." alt="" coords="460,5,667,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="745,5,937,44"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="1008,5,1203,44"/>
<area shape="rect" id="node7" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1712,72,1845,111"/>
<area shape="rect" id="node9" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="497,120,630,159"/>
<area shape="rect" id="node19" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="497,183,630,221"/>
<area shape="rect" id="node20" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="455,245,673,271"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2138,151,2294,189"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="721,124,960,149"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1025,153,1186,192"/>
<area shape="rect" id="node12" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1255,145,1419,184"/>
<area shape="rect" id="node14" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1471,245,1640,284"/>
<area shape="rect" id="node13" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1473,120,1638,159"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1485,183,1626,221"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1688,217,1869,243"/>
<area shape="rect" id="node16" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1917,155,2090,193"/>
<area shape="rect" id="node17" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1961,217,2046,243"/>
<area shape="rect" id="node22" href="../../d8/d3a/classThread_1_1Lowpan_1_1Lowpan.html#a51c10ea00004ab9551618d9d76b56761" title="This method decompresses a LOWPAN_IPHC header. " alt="" coords="1251,311,1423,349"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="aec92bb6790fffab9ddb424d85a1e39b3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::Header::SetPayloadLength </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aLength</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Payload Length value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The IPv6 Payload Length value. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_aec92bb6790fffab9ddb424d85a1e39b3_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_aec92bb6790fffab9ddb424d85a1e39b3_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_aec92bb6790fffab9ddb424d85a1e39b3_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_aec92bb6790fffab9ddb424d85a1e39b3_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a8a27760878c9ad9932e3f59bc651c826" title="This method sets whether or not Thread control traffic is filtered out when delivering IPv6 datagrams..." alt="" coords="205,36,396,75"/>
<area shape="rect" id="node6" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="194,159,407,184"/>
<area shape="rect" id="node3" href="../../db/de8/group__ip6.html#ga17d9c1c306a1ad33d12e4a15a09c13d7" title="This function sets whether or not Thread control traffic is filtered out when delivering IPv6 datagra..." alt="" coords="460,5,667,44"/>
<area shape="rect" id="node4" href="../../d9/dc8/classThread_1_1NcpBase.html#ad14f0f1d60c77f7f537a0a441a9fb35c" title="This method is called by the framer whenever a framing error is detected. " alt="" coords="745,5,937,44"/>
<area shape="rect" id="node5" href="../../dc/d60/classThread_1_1NcpUart.html#a34e4ca7aff5b9056593e8ce0aa6e2fbb" title="This method is called when uart received a data buffer. " alt="" coords="1008,5,1203,44"/>
<area shape="rect" id="node7" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="1267,57,1400,96"/>
<area shape="rect" id="node9" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="497,120,630,159"/>
<area shape="rect" id="node19" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="497,183,630,221"/>
<area shape="rect" id="node20" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="455,245,673,271"/>
<area shape="rect" id="node8" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2131,125,2286,164"/>
<area shape="rect" id="node10" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="721,127,960,152"/>
<area shape="rect" id="node11" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1025,171,1186,209"/>
<area shape="rect" id="node12" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1251,171,1415,209"/>
<area shape="rect" id="node14" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1463,233,1633,272"/>
<area shape="rect" id="node13" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1466,108,1630,147"/>
<area shape="rect" id="node18" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1478,171,1618,209"/>
<area shape="rect" id="node15" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1681,205,1861,231"/>
<area shape="rect" id="node16" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1909,143,2083,181"/>
<area shape="rect" id="node17" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1954,205,2038,231"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a73e5209e71173a59f2295cbbc905e296"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Thread::Ip6::Header::SetSource </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../d9/db1/classThread_1_1Ip6_1_1Address.html">Address</a> &amp;&#160;</td>
          <td class="paramname"><em>aSource</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method sets the IPv6 Source address. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aSource</td><td>A reference to the IPv6 Source address. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d8/d6e/classThread_1_1Ip6_1_1Header_a73e5209e71173a59f2295cbbc905e296_icgraph.png" border="0" usemap="#d8/d6e/classThread_1_1Ip6_1_1Header_a73e5209e71173a59f2295cbbc905e296_icgraph" alt=""/></div>
<map name="d8/d6e/classThread_1_1Ip6_1_1Header_a73e5209e71173a59f2295cbbc905e296_icgraph" id="d8/d6e/classThread_1_1Ip6_1_1Header_a73e5209e71173a59f2295cbbc905e296_icgraph">
<area shape="rect" id="node2" href="../../d3/d05/classThread_1_1Ip6_1_1Ip6.html#a4aa215eb5c0d575403b5ca683e8427c2" title="This method sends an IPv6 datagram. " alt="" coords="194,140,407,165"/>
<area shape="rect" id="node3" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a8989f736211cf82f9cefb258decd7c3e" title="This method sends an ICMPv6 Echo Request message. " alt="" coords="774,5,907,44"/>
<area shape="rect" id="node5" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#a1652c3864180133512f7d6499cd684f2" title="This method sends an ICMPv6 error message. " alt="" coords="497,71,630,109"/>
<area shape="rect" id="node15" href="../../da/dd7/classThread_1_1Ip6_1_1Icmp.html#ad28878461d364df3eeac50588479c9c1" title="This method handles an ICMPv6 message. " alt="" coords="497,133,630,172"/>
<area shape="rect" id="node16" href="../../de/ded/classThread_1_1Ip6_1_1Udp.html#aa8d41afcd7a8894a7005bc1c32343f7d" title="This method sends an IPv6 datagram. " alt="" coords="455,196,673,221"/>
<area shape="rect" id="node4" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="2097,76,2253,115"/>
<area shape="rect" id="node6" href="../../df/d94/group__core-mle-core.html#ga27bbb63f94a4f59d1249fce8baa830ed" title="This method checks if the destination is reachable. " alt="" coords="721,77,960,103"/>
<area shape="rect" id="node7" href="../../db/dec/group__core-mle-router.html#gac7d2542017033898d0bc0f17a65d4656" title="This method checks if the destination is reachable. " alt="" coords="1008,121,1170,160"/>
<area shape="rect" id="node8" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a361ef901f6b665b3c7feac206089a7df" title="This method submits a message to the mesh forwarder for forwarding. " alt="" coords="1218,121,1382,160"/>
<area shape="rect" id="node10" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a5f726671448fb7cd72f8ee96db40731a" title="This method sets the scan parameters for MLE Discovery Request messages. " alt="" coords="1430,184,1599,223"/>
<area shape="rect" id="node9" href="../../dd/d1d/classThread_1_1MeshForwarder.html#a3a55dcf590bf5941d216ff313b6ce0d0" title="This method gets the Data Poll period. " alt="" coords="1433,59,1597,97"/>
<area shape="rect" id="node14" href="../../d3/d8e/classThread_1_1ThreadNetif.html#a95f2ad1f6785b0de74e660e43ac86d33" title="This method submits a message to the network interface. " alt="" coords="1444,121,1585,160"/>
<area shape="rect" id="node11" href="../../df/d94/group__core-mle-core.html#gab299d00d1b2beabe8130e400dd6eca91" title="This method initiates a Thread Discovery. " alt="" coords="1647,156,1828,181"/>
<area shape="rect" id="node12" href="../../d4/db5/classThread_1_1MeshCoP_1_1Joiner.html#a1ca1f767cfe15e7c25b8f65606e7fefb" title="This method starts the Joiner service. " alt="" coords="1876,93,2049,132"/>
<area shape="rect" id="node13" href="../../d0/d0a/group__commands.html#ga8422cdf7d0b8b22c6dd107e6bb1309f2" title="This function starts a Thread Discovery scan. " alt="" coords="1921,156,2005,181"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/net/<a class="el" href="../../db/d51/ip6__headers_8hpp_source.html">ip6_headers.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><a class="el" href="../../d2/de1/namespaceThread_1_1Ip6.html">Ip6</a></li><li class="navelem"><a class="el" href="../../d8/d6e/classThread_1_1Ip6_1_1Header.html">Header</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
